OpenNMS API 1.2.9

## org.opennms.netmgt.discovery
Class IPPollAddress

    java.lang.Object
      org.opennms.netmgt.discovery.IPPollAddress

final class IPPollAddress
extends java.lang.Object

This class is used to represent the polling information needed by the discovery process. Each instance encapsulates an internet address, timeout in milliseconds, and a retry count.

Author:
  Sowmya , Brian Weaver , OpenNMS

Field Summary
`private java.net.InetAddress` `m_address` The dotted decimal IPv4 address for the poll.
`private int` `m_retries` The number of times to attempt to contact the remote.
`private long` `m_timeout` The timeout for the poller in 1/1000th of a second.

Constructor Summary
`private` `IPPollAddress()` The default constructor is marked private and will always throw an UnsupportedOperationException.
`(package private)` `IPPollAddress(java.net.InetAddress ipAddress, long timeout, int retries)` Constructs an IPPollAddress object with the specified parameters.
`(package private)` `IPPollAddress(java.lang.String ipAddress, long timeout, int retries)` Constructs an IPPollAddress object with the specified parameters.

Method Summary
`boolean` `equals(IPPollAddress pollAddr)` Returns true if the passed object is equal to self.
`(package private) java.net.InetAddress` `getAddress()` Returns the internet address encapsulated in the object.
`(package private) int` `getRetries()` Returns the current number of retries set for this address.
`(package private) long` `getTimeout()` Returns the timeout in 1/1000th of a second increments.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_address

    private java.net.InetAddress m_address

  The dotted decimal IPv4 address for the poll.

### m_timeout

    private long m_timeout

  The timeout for the poller in 1/1000th of a second.

### m_retries

    private int m_retries

  The number of times to attempt to contact the remote.

Constructor Detail

### IPPollAddress

    private IPPollAddress()
                   throws java.lang.UnsupportedOperationException

  The default constructor is marked private and will always throw an UnsupportedOperationException. This is to prevent the use of the default constructor.

Throws:
  `java.lang.UnsupportedOperationException` - Always thrown.

### IPPollAddress

    IPPollAddress(java.lang.String ipAddress,
                  long timeout,
                  int retries)
            throws java.net.UnknownHostException

  Constructs an IPPollAddress object with the specified parameters.

Parameters:
  `ipAddress` - The Dotted Decimal IPv4 Address.
  `timeout` - The timeout between retries in 1/1000th of a second.
  `retries` - The number of times to attempt to contact the address.
Throws:
  `java.net.UnknownHostException` - Thrown by the InetAddress class if the hostname cannot be resolved.

### IPPollAddress

    IPPollAddress(java.net.InetAddress ipAddress,
                  long timeout,
                  int retries)

  Constructs an IPPollAddress object with the specified parameters.

Parameters:
  `ipAddress` - The Dotted Decimal IPv4 Address.
  `timeout` - The timeout between retries in 1/1000th of a second.
  `retries` - The number of times to attempt to contact the address.

Method Detail

### getTimeout

    long getTimeout()

  Returns the timeout in 1/1000th of a second increments.

  Returns:
    The timeout associated with the host in 1/1000th of a second.

### getRetries

    int getRetries()

  Returns the current number of retries set for this address.

  Returns:
    The retry count for the instance.

### getAddress

    java.net.InetAddress getAddress()

  Returns the internet address encapsulated in the object.

  Returns:
    The encapsulated internet address.

### equals

    public boolean equals(IPPollAddress pollAddr)

  Returns true if the passed object is equal to self. The objects must be equal in address, timeout, and the number of retries.

  Returns:
    True if the objects are logically equal. False is returned otherwise.

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.